Text
Manage multilingual text translations and variable domains in VARIO Cloud via API, including creating, updating, deleting and retrieving text resources.
Text-Parameter Resource
an identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
die ausgewählte Sprachen für dieses Feld
Feld Name
übersetzter Text
Resource with given ID was not found
GET /cmn/text/translations/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"languageCode": "text",
"fieldName": "text",
"content": "text"
}an identifier
Version Identifier for this Object (for PUT)
Unique identifier of the Object
die ausgewählte Sprachen für dieses Feld
Feld Name
übersetzter Text
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
die ausgewählte Sprachen für dieses Feld
Feld Name
übersetzter Text
Resource was not found
Resource was not valid to process
PUT /cmn/text/translations/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 98
{
"version": "text",
"info": {},
"id": "text",
"languageCode": "text",
"fieldName": "text",
"content": "text"
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"languageCode": "text",
"fieldName": "text",
"content": "text"
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /cmn/text/translations/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}Version Identifier for this Object (for PUT)
Unique identifier of the Object
die ausgewählte Sprachen für dieses Feld
Feld Name
übersetzter Text
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
die ausgewählte Sprachen für dieses Feld
Feld Name
übersetzter Text
Resource was not valid to process
POST /cmn/text/translations HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 98
{
"version": "text",
"info": {},
"id": "text",
"languageCode": "text",
"fieldName": "text",
"content": "text"
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"languageCode": "text",
"fieldName": "text",
"content": "text"
}domain identifier
OK
GET /cmn/text/variables/{domain} HTTP/1.1
Host: api.example.com
Accept: */*
OK
[
{
"_type": "text",
"definition": "[Circular Reference]",
"value": "[Circular Reference]"
},
{
"key": "text",
"attribute": "text",
"path": "text",
"displayName": "text",
"displayNameOverride": false,
"groupDisplayName": "text",
"parentDisplayName": "text",
"resultable": true,
"filterable": true,
"sortable": true,
"visible": true,
"functions": [
"text"
],
"sortDirection": "text",
"constraint": {
"minLength": 1,
"maxLength": 1,
"minValue": 1,
"includeMinValue": true,
"maxValue": 1,
"includeMaxValue": true,
"notNull": false,
"notBlank": true,
"digitsFraction": 1
},
"dataType": {
"identifier": "text",
"jsType": "text",
"objectRefIdentifier": "text",
"filterOptions": {
"filterValues": [
"text"
],
"filterDialog": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"multipleChoice": false
},
"functions": [
"text"
],
"predicateOperations": [
"AND"
]
},
"dataTypeIdentifier": "text",
"modelType": "STATIC",
"entityIdentifier": "text",
"referencedEntityIdentifier": "text",
"headers": []
}
]OK
GET /cmn/text/variables/domains/identifier HTTP/1.1
Host: api.example.com
Accept: */*
OK
[
"text"
]Last updated
Was this helpful?